<?php

/*
 * @version     2.2.3
 * @package     com_mymaplocations
 * @copyright   JoomUnited (C) 2011. All rights reserved.
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * ***@author      Created by JoomUnited (C)
 */

defined('_JEXEC') or die;
jimport('joomla.version');
// import Joomla Categories Library
jimport('joomla.application.categories');
if (!(class_exists('MyMapLocationsHelper'))) {

    $helper = JPATH_SITE . '/components/com_mymaplocations/helpers/mymaplocations.php';
    if (file_exists($helper)) {
        require_once($helper);
    }
}

$lang = JFactory::getLanguage();
$app = JFactory::getApplication();
$mapid = $params->get('mapid');
$height = $params->get('height');
$width = $params->get('width');
$zoom = $params->get('zoom');
$type = $params->get('type');
$mode = $params->get('map_mode', 1);
$show_toolbar=$params->get('show_toolbar', 1);
$show_address=$params->get('show_address',1);
$order=$params->get('ordering','a.view');
$limit=$params->get('limit',0);
$userlist=$params->get('userlist','');
 $ugroup="";
if(!empty($userlist))
{
    $db = JFactory::getDBO();
    $query = $db->getQuery(true);
    $query->select('a.*');
    $query->where('a.listid='.(int)$userlist);
    $query->from('`#__comprofiler_lists` AS a');
    $db->setQuery($query);
    $group = $db->loadObject();
    $ugroup=explode( '|*|',$group->usergroupids);
    
}
$db = JFactory::getDBO();
$query = $db->getQuery(true);
$query->select('a.*');
$query->select('k.*');
$query->select('l.username as name,k.*');
$query->select('l.name as name');
$query->where('l.block =0');
$query->where('a.latitude !=255.000000');
$query->where('a.longitude !=255.000000');
$query->where('k.approved =1');
$query->where('k.confirmed=1 ');
if(!empty($ugroup))
{
     $query->where('g.group_id IN (' . implode( ",",$ugroup) . ')');
     if(!empty($group->filterfields))
     {
         $group->filterfields=MyMaplocationsHelper::utf8RawUrlDecode( substr( $group->filterfields, 1 ) );
         $group->filterfields=str_replace("'cb_","'k'.'cb_",$group->filterfields);
        $query->where($group->filterfields);
     
     }
}
$query->from('`#__mymaplocations_location` AS a');
$query->join('LEFT', '#__users AS l ON l.id = a.extra_id');
$query->join('LEFT','#__comprofiler AS k ON k.id = a.extra_id');
if(!empty($ugroup))
{
    $query->join('LEFT','#__user_usergroup_map AS g ON g.user_id = a.extra_id');
}
 if($order=="a.view")
 {
 $query->order('k.hits');
 }
 else
 {
 $query->order('l.registerDate');   
 }
 if($limit==0)
 {
$db->setQuery($query);
 }
 else
{
$db->setQuery($query,0,$limit);
     
 }
$result = $db->loadObjectList();
if (empty($result)) {
    return;
}
global $_CB_framework, $ueConfig, $mainframe;

if ( defined( 'JPATH_ADMINISTRATOR' ) ) {
if ( ! file_exists( JPATH_ADMINISTRATOR . '/components/com_comprofiler/plugin.foundation.php' ) ) {
echo 'CB not installed!';
return;
}
include_once( JPATH_ADMINISTRATOR . '/components/com_comprofiler/plugin.foundation.php' );
} else {
if ( ! file_exists( $mainframe->getCfg( 'absolute_path' ) . '/administrator/components/com_comprofiler/plugin.foundation.php' ) ) {
echo 'CB not installed!';
return;
}
include_once( $mainframe->getCfg( 'absolute_path' ) . '/administrator/components/com_comprofiler/plugin.foundation.php' );
}
MyMaplocationsHelper::loadLanguage();
$result[0]->google_maptype = $params->get('google_maptype', 'ROADMAP');
$result[0]->bing_maptype = $params->get('bing_maptype', 'road');
$show_toolbar=$params->get('show_toolbar',1);
$c=0;
foreach($result as $item)
{
$result[$c]->component="com_comprofiler";
$mmlfield=MyMaplocationsHelper::getCbField();
if($show_address==1)
{
    if(!empty($mmlfield))
			{
			$result[$c]->address=MyMaplocationsHelper::getCbAddress($item,$mmlfield);
			}
                        if($show_toolbar==1)
                        {
                        $result[$c]->address.="<div class='btn-group'><a href='".JRoute::_('index.php?option=com_comprofiler&task=emailUser&uid='.$item->extra_id)."' class='btn btn-success'>".JTEXT::_("COM_MYMAPLOCATIONS_MESSAGE")."</a><a href='".JRoute::_('index.php?option=com_comprofiler&&task=addconnection&act=connections&connectionid='.$item->extra_id)."' class='btn btn-primary'>".JTEXT::_("COM_MYMAPLOCATIONS_ADD")."</a></div>";
                        }
    
}
            $cbUser = CBuser::getInstance((int)$item->extra_id);
		
                $result[$c]->logo= $cbUser->getField('avatar', null, 'csv', 'none', 'icon');
                if(strpos($result[$c]->logo, 'nophoto')===false)
                {
                    $result[$c]->icon=str_replace(JURI::base(),'',$result[$c]->logo);
                }
$c++;
}

require JModuleHelper::getLayoutPath('mod_cb_mymaplocationsmaps', $params->get('layout', 'default'));
