<?php

/*
 * @version     2.1.9
 * @package     com_mymaplocations
 * @copyright   JoomUnited (C) 2011. All rights reserved.
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * ***@author      Created by JoomUnited (C)
 */

defined('_JEXEC') or die;
jimport('joomla.version');
// import Joomla Categories Library
jimport('joomla.application.categories');
if (!(class_exists('MyMapLocationsHelper'))) {

    $helper = JPATH_SITE . '/components/com_mymaplocations/helpers/mymaplocations.php';
    if (file_exists($helper)) {
        require_once($helper);
    }
}
$lang = JFactory::getLanguage();
$app = JFactory::getApplication();
$mapid = $params->get('mapid');
$height = $params->get('height');
$width = $params->get('width');
$zoom = $params->get('zoom');
$type = $params->get('type');
$mode = $params->get('map_mode', 1);
$show_toolbar=$params->get('show_toolbar', 1);
$show_address=$params->get('show_address',1);
$show_karma=$params->get('show_karma',1);
$order=$params->get('ordering','a.view');
$limit=$params->get('limit',0);
$db = JFactory::getDBO();
$query = $db->getQuery(true);
$query->select('a.*');
$query->select('a.userid as id,a.avatar as logo, a.thumb as icon');
$query->select('a.latitude as latitude,a.longitude as longitude');
$query->select('l.name as name');
$query->where(' l.block =0');
$query->where(' a.latitude !=255.000000');
$query->where(' a.longitude !=255.000000');
$query->from('`#__community_users` AS a');
$query->join('LEFT', '#__users AS l ON l.id = a.userid');
 if($order=="a.view")
 {
 $query->order('a.view');
 }
 else
 {
 $query->order('l.registerDate');   
 }
 if($limit==0)
 {
$db->setQuery($query);
 }
 else
{
$db->setQuery($query,0,$limit);
     
 }
$result = $db->loadObjectList();
if (empty($result)) {
    return;
}
$result[0]->google_maptype = $params->get('google_maptype', 'ROADMAP');
$result[0]->bing_maptype = $params->get('bing_maptype', 'road');
$c=0;
include_once(JPATH_BASE.'/components/com_community/defines.community.php');	
require_once(JPATH_BASE .'/components/com_community/libraries/core.php');
include_once JPATH_ROOT.'/components/com_community/libraries/messaging.php';
foreach($result as $item)
{
$user = CFactory::getUser($item->id);
$result[$c]->component="com_community";
$result[$c]->icon=str_replace(JURI::base(),'',$user->getThumbAvatar());
$result[$c]->logo=$result[$c]->icon;

if($show_address==1)
{
    $result[$c]->address=MyMaplocationsHelper::getCommunityAddress($item->id);
}
if($show_karma==1)
{
  $result[$c]->address.="<div><img src='".CUserPoints::getPointsImage($user)."' alt=''/></div>";   
}
if($show_toolbar==1)
{
$onclick = CMessaging::getPopup($item->id);
 $result[$c]->address.='<br/><a onclick="joms.friends.connect(&quot;'.$item->id.'&quot;)" href="javascript:void(0)" class="btn btn-info">'.JTEXT::_('MOD_COMMUNITY_MYMAPLOCATIONS_ADD').'</a><a onclick="'.$onclick.'" href="#" class="btn btn-info">'.JTEXT::_('MOD_COMMUNITY_MYMAPLOCATIONS_MESSAGE').'</a>';
}
$c++;
}
require JModuleHelper::getLayoutPath('mod_community_mymaplocationsmaps', $params->get('layout', 'default'));
