<?php
/**
 * @version     2.2.3
 * @package     plg_mymaplocations for Community  Builder
 * @copyright   JoomUnited (C) 2011. All rights reserved.
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * ****@author      joomunited - contact@joomunited.com
 */
defined('_JEXEC') or die('Restricted access');

if(!@include_once(rtrim(JPATH_SITE,'/').'/components/com_mymaplocations/helpers/mymaplocations.php')){
	return;
};
require_once( JPATH_ROOT .'/components/com_community/libraries/core.php');
if(!class_exists('plgCommunityMyMapLocations'))
{
	class plgCommunityMyMapLocations extends CApplications
	{
		var $_user		= null;
		var $name		= "My Maplocations";
		var $_name 		= 'mymaplocation';

	    function plgCommunityMyMapLocations(& $subject, $config)
		{
			
			$this->_user	= CFactory::getRequestUser();
			parent::__construct($subject, $config);
			
	    }
	function onProfileDisplay()
		 {
			$lang = JFactory::getLanguage();
			$lang->load('com_mymaplocations', JPATH_ADMINISTRATOR);
			$config	= CFactory::getConfig();
			$cache = JFactory::getCache('plgCommunityMyMapLocations');
			$mainframe = JFactory::getApplication();
			$userid			= $this->_user->id;
			$caching = $this->params->get('cache', 1);
				if($caching)
				{
					$caching = $mainframe->getCfg('caching');
				}

			$cache->setCaching($caching);
			$content=$this->_createMMLMap($this->_user->id);
			return $content;
				
		 }
		 
		 private function _createMMLMap($userid)
		 {
			$items[0]=$this->createMMLDATA($userid);
			if(($items[0]->latitude=="255.000000")||($items[0]->longitude=="255.000000"))
			{
				return;
			}
			$width=$this->params->get('viewwidth',"60%");
			$height=$this->params->get('height','400px');
			$zoom=$this->params->get('viewzoom',9);
			$map=$this->params->get('map',0);
			$map=MyMaplocationsHelper::createMap($items, $width,$height, $zoom, $map);
			return $map;
		 
		 }
		 public function createMMLDATA($userid)
		 {
			$config	= CFactory::getConfig();
			$item=new StdClass();
			$user	= CFactory::getUser($userid);
			$item->name=$user->getDisplayName();
			$item->icon=MyMaplocationsHelper::getCommunityLogo($userid);
			$item->logo=$item->icon;
			$item->address=MyMaplocationsHelper::getCommunityAddress($userid);
			$item->component="com_community";
			$item->id=$userid;
			$db = JFactory::getDBO();
			$sql = "SELECT
							".$db->quoteName("latitude").",
							".$db->quoteName("longitude")."
					FROM
							".$db->quoteName("#__community_users")."
					WHERE
							".$db->quoteName("userid")." = (".$db->Quote($userid).")";

			$db->setQuery($sql);
			$row = $db->loadObject();
			$item->latitude=$row->latitude;
			$item->longitude=$row->longitude;
			return $item;
		}
	}
}

