<?php
/**
 * @version    2.2.12
 * @package     com_mymaplocations
 * @copyright   JoomUnited (C) 2011. All rights reserved.
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * ****@author      joomunited - contact@joomunited.com
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
// Import CSS
$document = JFactory::getDocument();

$document->addStyleSheet('components/com_mymaplocations/assets/css/mymaplocations.css');
?>
<script type="text/javascript">
    Joomla.submitbutton = function(task)
    {
        if (task == 'location.cancel' || document.formvalidator.isValid(document.id('location-form'))) {
<?php echo $this->form->getField('description')->save(); ?>
                                    Joomla.submitform(task, document.getElementById('location-form'));
                                }
                                else {
                                    alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED')); ?>');
                                }
                            }
		 
			
		
</script>

<form action="<?php echo JRoute::_('index.php?option=com_mymaplocations&layout=edit&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="location-form" class="form-validate">
    <div class="row-fluid">
        <!-- Begin Newsfeed -->
        <div class="span8 form-horizontal">
            <fieldset class="adminform">
                <legend><?php echo JText::_('COM_MYMAPLOCATIONS_LEGEND_STORE'); ?></legend>
                <div class="tab-content">
                    <div class="tab-pane active" id="details">
                        <div class="control-group">
                            <div class="control-label"><?php echo $this->form->getLabel('name'); ?></div>
                            <div class="controls"><?php echo $this->form->getInput('name'); ?></div>
                        </div>
                        <div class="control-group">
                            <div class="control-label"><?php echo $this->form->getLabel('alias'); ?></div>
                            <div class="controls"><?php echo $this->form->getInput('alias'); ?></div>
                        </div>

                        <div class="control-group">
                            <div class="control-label"><?php echo $this->form->getLabel('catid'); ?>
                            </div>
                            <div class="controls">
                                <?php echo $this->form->getInput('catid'); ?></div>
                        </div>

                        <div class="control-group">
                            <div class="control-label"><?php echo $this->form->getLabel('logo'); ?></div>
                            <div class="controls">
                                <?php echo $this->form->getInput('logo'); ?></div>
                        </div>
                        <div class="control-group">
                            <div class="control-label"><?php
                                echo $this->form->getLabel('icon');
                                $icon = ($this->form->getValue('icon'));
                                ?>

                            </div>
                            <div class="controls">
                                <?php echo $this->form->getInput('icon'); ?></div>
                        </div>

                        <div class="control-group">
                            <div class="control-label"><?php echo $this->form->getLabel('language'); ?></div>
                            <div class="controls">
                                <?php echo $this->form->getInput('language'); ?></div>
                        </div>	
                        <div class="control-group">
                            <div class="control-label"><?php echo $this->form->getLabel('state'); ?>

                            </div>
                            <div class="controls">
                                <?php echo $this->form->getInput('state'); ?></div> 				</div><div class="control-group"> 					<div class="control-label"><?php echo $this->form->getLabel('checked_out'); ?>

                                <?php echo $this->form->getInput('checked_out'); ?></div> 				</div><div class="control-group"> 					<div class="control-label"><?php echo $this->form->getLabel('checked_out_time'); ?>

                                <?php echo $this->form->getInput('checked_out_time'); ?>
                            </div>
                        </div>

                        <div class="control-group">
                            <div class="control-label"><?php echo $this->form->getLabel('description'); ?>


                            </div>
                            <div class="controls">
                                <?php echo $this->form->getInput('description'); ?>
                            </div>
                        </div>
				
                        <div class="control-group">
                            <div class="control-label"><?php echo $this->form->getLabel('metakey'); ?></div>
                            <div class="controls"><?php echo $this->form->getInput('metakey'); ?></div>
                        </div>
			
                        <div class="control-group">
                            <div class="control-label"><?php echo $this->form->getLabel('metadesc'); ?></div>
                            <div class="controls"><?php echo $this->form->getInput('metadesc'); ?></div>
                        </div>
			
                        <div class="control-group" style="display:none;">
                            <div class="control-label"><?php echo $this->form->getLabel('id'); ?></div>
                            <div class="controls"><?php echo $this->form->getInput('id'); ?></div>
                        </div>
                        <div class="control-group" style="display:none;">
                            <div class="control-label"><?php echo $this->form->getLabel('created_by'); ?></div>
                            <div class="controls"><?php echo $this->form->getInput('created_by'); ?></div>
                        </div>


                        </fieldset>
                    </div>


                    <input type="hidden" name="task" value="" />
                    <?php echo JHtml::_('form.token'); ?>

                    <style type="text/css">
                        /* Temporary fix for drifting editor fields */
                        .adminformlist li {
                            clear: both;
                        }
                    </style>



                    <div class="span4 form-horizontal">

                        <fieldset class="adminform">

                            <legend><?php echo JText::_('COM_MYMAPLOCATIONS_LEGEND_STORE_MAPHELP'); ?></legend>
                            <div class="control-group">
                                <div class="control-label">
                                    <?php echo JText::_('COM_MYMAPLOCATIONS_LEGEND_STORE_MAPHELPTEXT'); ?>

                                </div></div>



                            <script src="//maps.google.com/maps/api/js?libraries=places&amp;sensor=false" type="text/javascript"></script>
                            <?php JHtml::_('jquery.framework'); ?>
                            <script src="components/com_mymaplocations/assets/site.js" type="text/javascript"></script>

                            <input id="postcode" style="width:250px;" type="text" class="search-query"/></td><td><input type="button" onclick="Geocode()" value="<?php echo JTEXT::_('COM_MYMAPLOCATIONS_FORM_LBL_STORE_SEARCH'); ?>"  class="btn"/>
                                <div class="control-group">
                                    <div class="navbar-form pull-left">
                                        <span class="label label-info"><?php echo JTEXT::_('COM_MYMAPLOCATIONS_FORM_LBL_STORE_LATITUDE'); ?></span><?php echo $this->form->getInput('latitude'); ?>	</div>
                                    <div class="navbar-form pull-left">
                                        <span class="label label-info"> <?php echo JTEXT::_('COM_MYMAPLOCATIONS_FORM_LBL_STORE_LONGITUDE'); ?></span><?php echo $this->form->getInput('longitude'); ?>
                                    </div>

                                    <div id="map" style="width: 80%; height: 300px"></div>
                                    <div class="tab-content">
                                        <div id="details" class="tab-pane active">
                                            <div class="control-group">
                                                <div class="control-label"><?php echo $this->form->getLabel('address'); ?></div>
                                                <div class="controls">
                                                    <?php echo $this->form->getInput('address'); ?></div>
                                            </div>


                                            <div class="control-group">
                                                <div class="control-label"><?php echo $this->form->getLabel('town'); ?></div>
                                                <div class="controls">
                                                    <?php echo $this->form->getInput('town'); ?></div>
                                            </div>


                                            <div class="control-group">
                                                <div class="control-label"><?php echo $this->form->getLabel('locationstate'); ?></div>
                                                <div class="controls">
                                                    <?php echo $this->form->getInput('locationstate'); ?></div>
                                            </div>


                                            <div class="control-group">
                                                <div class="control-label"><?php echo $this->form->getLabel('country'); ?></div>
                                                <div class="controls">
                                                    <?php echo $this->form->getInput('country'); ?></div>
                                            </div>

                                            <div class="control-group">
                                                <div class="control-label"><?php echo $this->form->getLabel('postal'); ?></div>
                                                <div class="controls">
                                                    <?php echo $this->form->getInput('postal'); ?></div>
                                            </div>
                                            <?php if ($this->showcontact == 1) { ?>
                                                <div class="control-group">
                                                    <div class="control-label"><?php echo $this->form->getLabel('contactlink'); ?></div>
                                                    <div class="controls">
                                                        <?php echo $this->form->getInput('contactlink'); ?></div>
                                                </div>
                                            <?php } ?>
                                            <div class="control-group">
                                                <div class="control-label"><?php echo $this->form->getLabel('phone'); ?></div>
                                                <div class="controls">
                                                    <?php echo $this->form->getInput('phone'); ?></div>
                                            </div>

                                            <div class="control-group">
                                                <div class="control-label"><?php echo $this->form->getLabel('hours'); ?></div>
                                                <div class="controls">
                                                    <?php echo $this->form->getInput('hours'); ?></div>
                                            </div>
                                        </div></div>
                                    <script type="text/javascript">
                                        /* <![CDATA[ */
    
<?php if ($this->item->id != 0) { ?>
                                            var latlng = new google.maps.LatLng(<?php echo $this->form->getValue('latitude'); ?>, <?php echo $this->form->getValue('longitude'); ?>);
<?php } else { ?>
                                                var latlng = new google.maps.LatLng(44.824708,-0.615234);
<?php } ?>
                                            var options = {
                                                zoom: 5,
                                                center: latlng,
                                                mapTypeId: google.maps.MapTypeId.ROADMAP,
                                                draggableCursor: "crosshair",
                                                streetViewControl: false
                                            };
					    var map = new google.maps.Map(document.getElementById("map"), options);
					    var marker = new google.maps.Marker({
					    position: latlng,
					    map: map
					    });

                                            
                                            jQuery("#zoom").html(5);
                                            google.maps.event.addListener(map,"click", function(location)
                                            {
                                                GetlocationInfo(location.latLng);
                                            });
                                            google.maps.event.addListener(map,'zoom_changed', function(oldLevel, newLevel)
                                            {
                                                jQuery("#zoom").html(map.getZoom());
                                            });
                                            var myPano = new google.maps.StreetViewPanorama(document.getElementById("pano"),
                                            { visible:false});
                                            myPano.setPov({
                                                heading: 265,
                                                zoom:1,
                                                pitch:0});
                                            jQuery('#pano').hide();
                                            google.maps.event.trigger(myPano, 'resize');

                                            // autocomplete
                                            var autocomplete = new google.maps.places.Autocomplete(document.getElementById('postcode'), {});
                                            google.maps.event.addListener(autocomplete, 'place_changed', function() {
                                                jQuery("#locations").html("");
                                                jQuery("#error").html("");
                                                var place = autocomplete.getPlace();
                                                Gotolocation(place.geometry.location);
                                            });
			
                                            var initListener;
                                            var marker;
                                            function StartStreetView() {
                                                // street view
                                                if (jQuery("#streetViewBtn").val() == "Start StreetView") {
                                                    initListener = google.maps.event.addListener(myPano, "position_changed", handlePanoMove);
                                                    jQuery('#pano').show();
                                                    myPano.setVisible(true);
                                                    jQuery("#streetViewBtn").val("End StreetView");
                                                    google.maps.event.trigger(myPano, 'resize');
                                                    GotoLatLong();
                                                }
                                                else {
                                                    google.maps.event.removeListener(initListener);
                                                    myPano.setVisible(false);
                                                    jQuery('#pano').hide();
                                                    jQuery("#streetViewBtn").val("Start StreetView");
                                                    google.maps.event.trigger(myPano, 'resize');
                                                }
                                            }

                                            function Geocode()
                                            {
                                                jQuery("#locations").html("");
                                                jQuery("#error").html("");
                                                // geocode with google.maps.Geocoder
                                                var localSearch = new google.maps.Geocoder();
                                                var postcode = jQuery("#postcode").val();
                                                localSearch.geocode({ 'address': postcode },
                                                function(results, status) {
                                                    if (results.length == 1) {
                                                        var result = results[0];
                                                        var location = result.geometry.location;
                                                        Gotolocation(location);
                                                    }
                                                    else if (results.length > 1) {
                                                        jQuery("#error").html("Multiple addresses found");
                                                        // build a list of possible addresses
                                                        var html = "";
                                                        for (var i=0; i<results.length; i++) {
                                                            html += '<a href="javascript:Gotolocation(new google.maps.LatLng(' + 
                                                                results[i].geometry.location.lat() + ', ' + results[i].geometry.location.lng() + '))">' + 
                                                                results[i].formatted_address + "</a><br/>";
                                                        }
                                                        jQuery("#locations").html(html);
                                                    }
                                                    else {
                                                        jQuery("#error").html("Address not found");
                                                    }
                                                });
                                            }
                                            function useGeocode()
                                            {
                                                if (navigator.geolocation)
                                                {
                                                    navigator.geolocation.getCurrentPosition(showPosition);
                                                }
                                                else
                                                {
                                                    x.innerHTML="Geolocation is not supported by this browser.";
                                                }
                                            }
                                            function showPosition(position)
                                            {
                                                document.getElementById('jform_latitude').value= position.coords.latitude;
                                                document.getElementById('jform_longitude').value=position.coords.longitude;
                                                ReverseGeocode(position.coords.latitude, position.coords.longitude, '#address');
                                                Gotolocation(new google.maps.LatLng( position.coords.latitude, position.coords.longitude));
                                            }
			
                                            function Gotolocation(location) {
                                                GetlocationInfo(location);
                                                map.setCenter(location);
                                            }
			
                                            function GetlocationInfo(latlng)
                                            {
                                                if (latlng != null)
                                                {
                                                    ShowLatLong(latlng);
                                                    UpdateStreetView(latlng);
                                                }
                                            }

                                            function GotoLatLong()
                                            {
                                                if (jQuery("#jform_latitude").val() != "" && jQuery("#jform_longitude").val() != "") {
                                                    var lat = jQuery("#jform_latitude").val();
                                                    var long = jQuery("#jform_longitude").val();
                                                    var latLong = new google.maps.LatLng(lat, long);
                                                    ShowLatLong(latLong);
                                                    map.setCenter(latLong);
                                                    UpdateStreetView(latLong);
                                                }
                                            }

                                            function ShowLink(){
                                                jQuery("#mapLink").html('<a href="https://maps.google.com/?ll=' + jQuery("#jform_latitude").val() +
                                                    ',' + jQuery("#jform_longitude").val() + '&z=' + jQuery("#zoom").html() + '">Link for this map</a>');
                                            }

                                            function toDMS(latOrLng) {
                                                var d = parseInt(latOrLng);
                                                var md = Math.abs(latOrLng - d) * 60;
                                                var m = Math.floor(md);
                                                var sd = (md - m) * 60;
                                                return Math.abs(d) + "\u00B0 " + m + "' " + roundNumber(sd, 4) + '"';
                                            }
			
                                            function latToDMS(lat) {
                                                var dms = toDMS(lat);
                                                if (lat > 0)
                                                    return dms + "N";
                                                else
                                                    return dms + "S";
                                            }
			
                                            function lngToDMS(lng) {
                                                var dms = toDMS(lng);
                                                if (lng > 0)
                                                    return dms + "E";
                                                else
                                                    return dms + "W";
                                            }
			
                                            function ShowLatLong(latLong)
                                            {
                                                // show the lat/long
                                                if (marker != null) {
                                                    marker.setMap(null);
                                                }
                                                marker = new google.maps.Marker({
                                                    position: latLong,
                                                    map: map});
                                                jQuery("#jform_latitude").val(roundNumber(latLong.lat(), 6));
                                                jQuery("#jform_longitude").val(roundNumber(latLong.lng(), 6));
                                                jQuery("#latDMS").html(latToDMS(latLong.lat()));
                                                jQuery("#lngDMS").html(lngToDMS(latLong.lng()));
                                                ShowLink();
                                                GetElevation(latLong.lat(), latLong.lng(), '#elevation');
                                                ReverseGeocode(latLong.lat(), latLong.lng(), '#address');
				
                                            }

                                            function UpdateStreetView(latLong)
                                            {
                                                // street view
                                                if (jQuery("#streetViewBtn").val() == "End StreetView") {
                                                    jQuery("#panoError").html("");
                                                    myPano.setVisible(true);
                                                    myPano.setPosition(latLong);
                                                    // also set via the service API so we know if there is a view available
                                                    var service = new google.maps.StreetViewService();
                                                    service.getPanoramaBylocation(latLong, 50,
                                                    function(result, status) {
                                                        if (status != google.maps.StreetViewStatus.OK) {
                                                            jQuery("#panoError").html("No street view available");
                                                            myPano.setVisible(false);
                                                        }
                                                    }
                                                );
                                                }
                                            }

                                            function handlePanoMove(location)
                                            {
                                                ShowLatLong(myPano.getPosition());
                                            }
                                            function copyData()
                                            {
                                                var lat=document.getElementById('lat').value;
                                                var long=document.getElementById('long').value;
                                                document.getElementById('jform_latitude').value=lat;
                                                document.getElementById('jform_longitude').value=long;
                                            }
                                            /* ]]> */
                                    </script>
                                    </form>
                                </div></fieldset>

                        <div class="clr"></div>

