<?php
/**
 * @version    2.2.12
 * @package     com_mymaplocations
 * @copyright   JoomUnited (C) 2011. All rights reserved.
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * ****@author      joomunited - contact@joomunited.com
 */
// no direct access
defined('_JEXEC') or die;
?>

<?php
if ($this->item) :
    $isModal = JRequest::getVar('print') == 1; // 'print=1' will only be present in the url of the modal window, not in the presentation of the page
    if ($isModal) {
        ?>
        <a onclick="window.print();return false;" href="#"><span class="mml-print"></span>&nbsp;<?php echo JTEXT::_('JGLOBAL_PRINT'); ?>&nbsp;</a>
    <?php }
    ?>

    <div class="locationsearch" id="locationsearch" itemscope itemtype="http://schema.org/Organization">
        <?php if (!($isModal)) { ?>
               <span class="mml-toolbar"> <a rel="nofollow" onclick="window.open(this.href,'win2','status=no,toolbar=no,scrollbars=yes,titlebar=no,menubar=no,resizable=yes,width=640,height=480,directories=no,location=no'); return false;" title="Print" href="index.php?option=com_mymaplocations&amp;view=location&amp;id=<?php echo $this->item->id; ?>&amp;tmpl=component&amp;print=1&amp;page="><span class="mml-print"></span>&nbsp;<?php echo JTEXT::_('JGLOBAL_PRINT'); ?>&nbsp;</a>
               <?php if(!empty($_SERVER['HTTP_REFERER'])) {?> <a class="btn btn-warning btn btn-warning resultbtn" href="<?php echo $_SERVER['HTTP_REFERER'];?>"><?php echo JText::_('COM_MYMAPLOCATIONS_BACK'); ?></a><?php } ?></span>
        <?php } ?>
        <h3><span itemprop="name"><?php echo $this->item->name; ?></span> </h3>
        <?php
        $data = $this->item->latitude . "," . $this->item->longitude;
        $address = "";
        if (!empty($this->item->address)) {
            $address.='<i class="mml-map-marker"></i><span itemprop="streetAddress" class="address">' . $this->item->address . '</span><br/>';
        }
        if (!empty($this->item->town)) {
            $address.='<span itemprop="addressLocality" class="town">' . $this->item->town . '</span>,';
        }
        if (!empty($this->item->locationstate)) {
            $address.='<span itemprop="addressRegion" class="locationstate">' . $this->item->locationstate . '</span>.<br/>';
        }
        if (!empty($this->item->country)) {
            $address.='<span itemprop="addressCountry" class="country">' . $this->item->country . '</span>,';
        }
        if (!empty($this->item->postal)) {
            $address.='<span itemprop="postalCode" class="postal">' . $this->item->postal . '</span>';
        }
        if (!empty($this->item->phone)) {
            $address.='<br/><span><i class="mml-hand-right" class="phone"></i><span itemprop="telephone"><a href="tel:'. $this->item->phone .'" target="_blank">' . $this->item->phone . '</a></span>';
        }
        if (!empty($this->item->hours)) {
            $address.='<br/><span><i class="mml-calendar" class="calendar"></i>' . $this->item->hours . '</span>';
        }
        ?>
        <?php
        $items[0] = $this->item;
        echo MyMaplocationsHelper::createMap($items, $this->width, $this->height, $this->viewzoom, $this->map);
        ?>
        <div class="mml_address">
       
            <div> 
            <?php if (!empty($this->item->logo)) { ?>
                    <img src="<?php echo $this->item->logo; ?>" itemprop="logo"/><br/>
            <?php } ?>
                <div itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">
                <?php echo $address; ?>
                <?php if (($this->contact_link == 1) && (!empty($this->item->contactlink))) {
                    ?>
                        <br/><span class="contact"><i class="mml-user"></i>
                        <?php
                        echo MyMaplocationsHelper::createContactLink($this->item->contactlink, $this->target);
                        ?>
                        </span>
                        <?php }
                    ?>

                </div>
<?php
    if ($this->show_locationlist == 1) {
         if(!empty($this->selectLocation)) {
        ?>
            <div class="changeloc"><?php echo JText::_('COM_MYMAPLOCATIONS_CHANGELOC'); ?>
            <?php echo $this->selectLocation; ?>
            </div>
        <?php } }?>
                <span itemprop="location">
                    <span itemscope itemtype="http://schema.org/Place">
                        <span itemprop="geo">
                            <span itemscope itemtype="http://schema.org/GeoCoordinates">
                                <span property="latitude" content="<?php echo $this->item->latitude; ?>"></span>
                                <span property="longitude" content="<?php echo $this->item->longitude; ?>"></span>
                            </span>
                        </span>
                    </span>
                </span>
            </div>
        </div>
    
        <?php if (!empty($this->item->description)) { ?>
            <div class="mml_description">
                <?php
                  $text = @JHtml::_('content.prepare', $this->item->description);
                echo $text;
                ?>
            </div>

            <?php } ?>
            <?php if($this->itemratingroup) {
                 $itemAPI = JPATH_SITE . '/components/com_itemrating/helpers/itemrating.php';
                 if (is_file( $itemAPI)) {
            require_once $itemAPI;
            $item=new stdClass();
                $item->id=$this->item->id;
		$item->introtext='';
		$item->title=$this->item->name;
		$item->author=JFactory::getUser($this->item->created_by)->name;
                $item->created=new JDate('now');
                $item->modified=new JDate('now');
		$item->attribs=json_encode(array("groupdata"=>$this->itemratingroup,'',''));	     
	     $html = ItemratingHelper::loadWidget($item,"top");
	     echo $html;
                 }
            }?>
            
            <?php if($this->jcomments==1) {?>
            <?php
           $commentsAPI = JPATH_SITE . '/components/com_jcomments/jcomments.php';
		 	if (is_file($commentsAPI)) {
	 			require_once($commentsAPI);
 				$result = JComments::show($this->item->id, 'com_mymaplocations', $this->item->name);
                                echo $result;
			}
            }
                        else if($this->jcomments==2)
                        {
                $path		= JPATH_ROOT . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR . 'com_komento' . DIRECTORY_SEPARATOR . 'bootstrap.php';
		if (is_file($path)) {
                        $options	= array( 'params' => new JRegistry(''), 'context' => 'com_mymaplocations' );
			require_once($path);
                        $res=new stdClass();
                        $res->id=$this->item->id;
                        $res->catid=$this->item->catid;
                        $res->introtext=$this->item->description;
                        $res->text="";
                        $res->hits=0;
                	$html	= Komento::commentify( 'com_mymaplocations', $res, $options );
			print $html;
                }

            ?>
            <?php }?>

        <?php else: ?>
    <?php echo JText::_('COM_MYMAPLOCATIONS_NORESULT'); ?>
    <?php endif; ?>

    <div class="clearfix"></div>
</div>