<?php

/*
 * @version    2.2.12
 * @package     com_mymaplocations
 * @copyright   JoomUnited (C) 2011. All rights reserved.
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * ***@author      Created by JoomUnited (C)
 */

defined('_JEXEC') or die;
jimport('joomla.version');
// import Joomla Categories Library
jimport('joomla.application.categories');
if (!(class_exists('MyMapLocationsHelper'))) {

    $helper = JPATH_SITE . '/components/com_mymaplocations/helpers/mymaplocations.php';
    if (file_exists($helper)) {
        require_once($helper);
    }
}

if (!(MyMapLocationsHelper::checkComponent('com_k2'))) {
    return;
}
$lang = JFactory::getLanguage();
$app = JFactory::getApplication();
$mode = $params->get('map_mode');
$catfilter = $params->get('catfilter');
$category_id = $params->get('category_id');
$mapid = $params->get('mapid');
if (($mode == 0) && ($catfilter==0))
{
    
}
else if (($mode == 0) && (empty($category_id))) {
    return;
} else if (($mode == 1) && (empty($mapid))) {
    return;
}
$height = $params->get('height');
$width = $params->get('width');
$zoom = $params->get('zoom');
$type = $params->get('type');
$db = JFactory::getDBO();
$query = $db->getQuery(true);
$query->select('a.*');
$query->select('k.title as name,k.alias as k2alias,k.catid as k2catid');
$query->from('#__mymaplocations_location AS a');
$query->join('LEFT', '#__k2_items AS k ON k.id = a.extra_id');
$query->where('component=' . $db->quote('com_k2'));
$query->where(' k.published =1 ');
if ($mode == 0) {
    if ($catfilter != 0) {
        $query->where('k.catid IN (' . implode(',', $category_id) . ')');
    }
} else {
    $query->where('k.id IN (' . implode(',', $mapid) . ')');
}
$db->setQuery($query);
$result = $db->loadObjectList();
$result[0]->google_maptype = $params->get('google_maptype', 'ROADMAP');
$result[0]->bing_maptype = $params->get('bing_maptype', 'road');
$result[0]->map_design = $params->get('map_design',1);
require JModuleHelper::getLayoutPath('mod_k2mymaplocationsmaps', $params->get('layout', 'default'));
