<?php

/*
 * @version    2.2.12
 * @package     com_mymaplocations
 * @copyright   JoomUnited (C) 2011. All rights reserved.
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * ***@author      Created by JoomUnited (C)
 */

defined('_JEXEC') or die;
jimport('joomla.version');
// import Joomla Categories Library
jimport('joomla.application.categories');
if (!(class_exists('MyMapLocationsHelper'))) {

    $helper = JPATH_SITE . '/components/com_mymaplocations/helpers/mymaplocations.php';
    if (file_exists($helper)) {
        require_once($helper);
    }
}
$lang = JFactory::getLanguage();
$lang->load('com_mymaplocations', JPATH_ADMINISTRATOR);
$app = JFactory::getApplication();
$param = JComponentHelper::getParams('com_mymaplocations');
$distances = explode(",", $param->get('distance', '5,10,15,20'));
$distance_type = $param->get('distance_type', 1);
$mitemid = JRequest::getVar('Itemid');
$filterzip = JRequest::getVar('searchzip');
$filterradius = JRequest::getVar('radius');
if(empty($filterradius))
{
    $filterradius=$params->get('radius', -1);
}
$width = $params->get('width', 150);
$component = $params->get('component', 'com_mymaplocations');
$anywhere = $param->get('anywhere', 1);
$distance_hide = $param->get('distance_hide', 1);
$itemid = $params->get('mymenuitem', JRequest::getVar('Itemid'));
$showcat = $param->get('filter_cat', 0);
$limit=JRequest::getVar('limit');
if(empty($limit))
{
    $limit=$params->get('limit');
}
$filter_catid = JRequest::getVar('filter_catid');
$globalcolor = $param->get('globalcolor', '#2980b9');
$advsearch="";
if (empty($filter_catid)) {
    $filter_catid = $params->get('filter_catid');
}
if($showcat ==1)
{
if($component=="com_k2")
            {
                $k2catid=JRequest::getInt('k2_catid',0);
		require_once JPATH_ADMINISTRATOR.'/components/com_k2/models/categories.php';
		$categoriesModel = K2Model::getInstance('Categories', 'K2Model');
		$categories = array_merge(
                    array('' => JText::_('JOPTION_SELECT_CATEGORY')), $categoriesModel->categoriesTree()
                );
               $category =JHTML::_('select.genericlist', $categories, 'k2_catid', 'class="inputbox"', 'value', 'text', $k2catid);
            
            }
else if($component=="com_hikamarket")
            {
                  $category=MyMaplocationsHelper::getHikaCategory();
            }
            else if($component=="com_community")
            {
                $ad=MyMaplocationsHelper::getAdvanceCommunitySearch($component);
		if($ad==1)
		{
		    $advsearch=MyMaplocationsHelper::getAdvanceSearchDiv($component);
		}
            }
            else
            {

$options = array_merge(
        array('' => JText::_('JOPTION_SELECT_CATEGORY')), JHtml::_('category.options', 'com_mymaplocations')
);
$category = JHTML::_('select.genericlist', $options, 'filter_catid', null, 'value', 'text', $filter_catid);
            }
}
require JModuleHelper::getLayoutPath('mod_mymaplocations', $params->get('layout', 'default'));
