<?php
/*
 * @version    2.2.12
 * @package     com_mymaplocations
 * @copyright   JoomUnited (C) 2011. All rights reserved.
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * ***@author      Created by JoomUnited (C)
 */

defined('_JEXEC') or die;
?>
<script type="text/javascript">
    function useGeocode_<?php echo $module->id; ?>()
    {
        if (navigator.geolocation)
        {
            navigator.geolocation.getCurrentPosition(showPosition);
        }
        else
        {
            x.innerHTML="Geolocation is not supported by this browser.";
        }
    }
	    
    function showPosition(position)
    {
        document.getElementById("searchmodinput_<?php echo $module->id; ?>").value=position.coords.latitude+','+position.coords.longitude;
        document.getElementById("map-location_<?php echo $module->id; ?>").submit();
    }
</script>
<style type="text/css">
    .locationmodule .resultbtn
    {
	   	    background: none repeat scroll 0 0 <?php echo $globalcolor;?>;
    border-color: -moz-use-text-color -moz-use-text-color <?php echo $globalcolor;?>;
    box-shadow: 0 -2px <?php echo $globalcolor;?> inset;
    font-size:13px;
     -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    border-image: none;
    border-radius: 2px;
    border-style: none none solid;
    border-width: 0 0 2px;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    line-height: 22px;
    margin-left: 3px;
    text-align: center;
    text-decoration: none;
    text-shadow: 0 1px 2px rgba(0, 0, 0, 0.25);
    
    }
    
#filter_catid,#radius
{
    background: none repeat scroll 0 0 #EEEEEE;
}
</style>
<div id="Locationsearch" class="locationmodule">
    <form role="search" method="post"
          action="<?php echo JRoute::_('index.php?option=com_mymaplocations&Itemid=' . $itemid); ?>" class="form-inline" id="map-location_<?php echo $module->id; ?>">


        <div class="controls">
            <div>
                <input type="text" class="inputbox search-query" style="width:<?php echo $width ?>px" id="searchmodinput_<?php echo $module->id; ?>" name="searchzip"
                       value="<?php echo $filterzip; ?>"
                       autocomplete="off"> <input type="hidden" value="search" name="task">
<?php
if ($showcat == 1) {
    echo $category;
}
?>

                       <?php if ($distance_hide == 1) { ?>
                    <input type="hidden" value="<?php echo $filterradius;?>" name="radius">
                <?php } else { ?>
                    <select name="radius" id="radius" class="small chzn-select">
                    <?php
                    foreach ($distances as $distance) {
                        ?>
                            <option value="<?php echo $distance; ?>"  <?php if ($filterradius== ($distance)) { ?>
                                                    selected="selected" <?php } ?> ><?php echo $distance; ?><?php
                    if ($distance_type == 1) {
                        echo JText::_('MOD_MYMAPLOCATIONS_MILES');
                    } else {
                        echo JText::_('MOD_MYMAPLOCATIONS_KM');
                    }
                    ?></option>
                            <?php } ?>
                            <?php if ($anywhere == 1) { ?>
                            <option  value="-1" <?php if ($filterradius== -1) { ?>
                                                    selected="selected" <?php } ?>><?php echo JText::_('MOD_MYMAPLOCATIONS_ANYWHERE'); ?></option>
                        <?php } ?>
                    </select>
                    <?php } ?>

		    <?php echo $advsearch; ?>
                <input type="submit" class="btn btn-primary button resultbtn" 
                       value="<?php echo JText::_('MOD_MYMAPLOCATIONS_SUBMIT'); ?>"
                       id="Locationsubmit">
                <input
                    type="hidden" value="com_mymaplocations" name="option">
		     <input
                    type="hidden" value="locations" name="view">
                <input
                    type="hidden" value="<?php echo $itemid; ?>" name="Itemid">
                <input type="hidden" name="component" value="<?php echo $component; ?>">
		          <input type="hidden" name="limit" value="<?php echo $limit; ?>">
                <button class="btn btn-success button resultbtn" onClick="javascript:useGeocode_<?php echo $module->id; ?>()" type="button"><i class="icon-map-marker"></i><?php echo JTEXT::_('COM_MYMAPLOCATIONS_SEARCH_BYGEO'); ?></button>

            </div>
        </div>

        <div class="controls">
        </div>
    </form>

</div>
<?php $country=$param->get('country',null);

?>
 <?php echo MyMaplocationsHelper::loadGoogleJs();?>
<script type="text/javascript">
    /*<![CDATA[*/
    var spSearchDefStr = "search..."
    function initRSA_<?php echo $module->id; ?>() {var input = document.getElementById("searchmodinput_<?php echo $module->id; ?>");var options = {types:[]};var ac = new google.maps.places.Autocomplete(input, options);<?php if(!empty($country)) { ?> ac.setComponentRestrictions({'country': '<?php echo $country;?>'});<?php } ?>google.maps.event.addListener(ac, "place_changed", function() {var pl = ac.getPlace();jQuery("#mj_rs_ref_lat").val(pl.geometry.location.lat()) ;jQuery("#mj_rs_ref_lng").val(pl.geometry.location.lng()) ;});}
    if (typeof jQuery == 'undefined') {
	alert("hello");
	<?php echo JHtml::_('jquery.framework');?>
    }
    jQuery(document).ready(function () {
	initRSA_<?php echo $module->id; ?>();
    });
    function userPos(){var gc = new google.maps.Geocoder();if (navigator.geolocation) {navigator.geolocation.getCurrentPosition(function (po) {gc.geocode({"latLng":new google.maps.LatLng(po.coords.latitude, po.coords.longitude) }, function(results, status) {if(status == google.maps.GeocoderStatus.OK) {jQuery("#mj_rs_ref_lat").val(po.coords.latitude) ;jQuery("#mj_rs_ref_lng").val(po.coords.longitude) ;jQuery("#searchinput").val(results[0]["formatted_address"]);} else {alert("Geolocation did not work. Reason :" + status);}});});}else{alert("In order to use this function you must allow your browser to share your location.");}}
    /*]]>*/
</script>
