<?php

/*
 * @version    2.2.12
 * @package     com_mymaplocations
 * @copyright   JoomUnited (C) 2011. All rights reserved.
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * ***@author      Created by JoomUnited (C)
 */

defined('_JEXEC') or die;
jimport('joomla.version');
// import Joomla Categories Library
jimport('joomla.application.categories');
if (!(class_exists('MyMapLocationsHelper'))) {

    $helper = JPATH_SITE . '/components/com_mymaplocations/helpers/mymaplocations.php';
    if (file_exists($helper)) {
        require_once($helper);
    }
}
$lang = JFactory::getLanguage();
$app = JFactory::getApplication();
$mapid = $params->get('mapid');
$height = $params->get('height');
$width = $params->get('width');
$zoom = $params->get('zoom');
$type = $params->get('type');
$mode = $params->get('map_mode', 1);

$category_id = $params->get('catid');
$component = "com_mymaplocations";

if (($mode == 1) && (empty($mapid))) {
    return;
}

$db = JFactory::getDBO();
$query = $db->getQuery(true);
$query->select('*');
$query->from('#__mymaplocations_location');
if ($mode == 0) {
    if (!empty($category_id[0])) {

        $query->where('catid IN (' . implode(',', $category_id) . ')');
    }
} else {
    $query->where('id IN (' . implode(',', $mapid) . ')');
}

$query->where(' ( component = ' . $db->quote($component) . ' OR component=' . $db->quote("") . ') ');
$query->where('state=1');
 $query->order('ordering');

$db->setQuery($query);
$result = $db->loadObjectList();
if (empty($result)) {
    return;
}
$result[0]->google_maptype = $params->get('google_maptype', 'ROADMAP');
$result[0]->bing_maptype = $params->get('bing_maptype', 'road');
$result[0]->map_design = $params->get('map_design',1);
require JModuleHelper::getLayoutPath('mod_mymaplocationsmaps', $params->get('layout', 'default'));
